__alloc_skb
Prev | Socket Buffer Functions | Next

## Name

__alloc_skb — allocate a network buffer

## Synopsis

`struct sk_buff * __alloc_skb (` | unsigned int | size,
| gfp_t | gfp_mask,
| int | fclone,
| int | node`)`;

## Arguments

`size`

  size to allocate

`gfp_mask`

  allocation mask

`fclone`

  allocate from fclone cache instead of head cache and allocate a cloned (child) skb

`node`

  numa node to allocate memory on

## Description

Allocate a new &sk_buff. The returned buffer has no headroom and a tail room of size bytes. The object has a reference count of one. The return is the buffer. On a failure the return is `NULL`.

Buffers may only be allocated from interrupts using a `gfp_mask` of `GFP_ATOMIC`.

Prev | Up | Next
skb_under_panic | Home | __netdev_alloc_skb